/* -*-c-*-
 *
 * $Id: cast-s.c,v 1.2 2004/04/02 01:03:49 mdw Exp $
 *
 * Basic S-boxes for CAST-128 and CAST-256
 *
 * (c) 2000 Straylight/Edgeware
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of Catacomb.
 *
 * Catacomb is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * Catacomb is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with Catacomb; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------* 
 *
 * $Log: cast-s.c,v $
 * Revision 1.2  2004/04/02 01:03:49  mdw
 * Miscellaneous constification.
 *
 * Revision 1.1  2000/06/17 10:48:52  mdw
 * CAST S-boxes.
 *
 */

/*----- Header files ------------------------------------------------------*/

#include <mLib/bits.h>

#include "cast-base.h"
#include "cast-tab.h"

/*----- Global variables --------------------------------------------------*/

const uint32 cast_s[4][256] = CAST_S;

/*----- That's all, folks -------------------------------------------------*/
